import React from 'react';
import { Extension } from '@codemirror/state';
import { TextFieldProps } from '@mui/material';
export interface EditorThemeCustomStyles {
    textColor?: React.CSSProperties['color'];
    headlineColor?: React.CSSProperties['color'];
    backgroundColor?: React.CSSProperties['backgroundColor'];
    lineHeight?: React.CSSProperties['lineHeight'];
    lineHeightDense?: React.CSSProperties['lineHeight'];
    selectionMatch: React.CSSProperties['backgroundColor'];
    activeLineGutter: React.CSSProperties['backgroundColor'];
    activeLine: React.CSSProperties['backgroundColor'];
    activeSelection: React.CSSProperties['backgroundColor'];
    width: React.CSSProperties['width'] | null;
}
export declare const useEditorTheme: (readOnly?: boolean, dense?: boolean, customVariant?: TextFieldProps['variant'] | 'embed', customStyles?: EditorThemeCustomStyles) => Extension;
